/*
 * W^X mmap(2) anonymous
 */

#include <errno.h>
#include <stddef.h>
#include <sys/mman.h>

int main(void)
{
	errno = 0;
	void *p = mmap(NULL, 4096, PROT_WRITE | PROT_EXEC,
	               MAP_PRIVATE | MAP_ANONYMOUS, -1, 0);
	return errno;
}
